#32/64
%define oname	CriticalMass
%define name	criticalmass
%define version	1.0.2
%define release %mkrel 1
%define Summary Arcade Shooter

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{oname}-%{version}.tar.xz
Source11:	%{oname}-16x16.png
Source12:	%{oname}-32x32.png
Source13:	%{oname}-48x48.png
Patch0:		%{oname}-1.0.2-fix-gcc-43.patch
Patch1:		criticalmass-1.0.2-libpng14.patch
Patch2:		criticalmass-1.0.2-libpng15.patch
Patch3:		criticalmass-1.0.2-system_curl.patch
License:	GPLv2
Packager:       Agent Smith  <ruidobranco@yahoo.com.br>
Group:		Games/Arcade
URL:		http://criticalmass.sourceforge.net
Summary:	%{Summary}
BuildRequires:	%{_lib}png-devel
BuildRequires:	%{_lib}glew-devel
BuildRequires:	%{_lib}SDL_image-devel
BuildRequires:	%{_lib}SDL_mixer-devel
BuildRequires:	%{_lib}curl-devel
BuildRequires:	zlib1-devel
BuildRoot: 	%_tmppath/%name-%version-buildroot
Obsoletes:	CriticalMass

%description
Critical Mass (aka Critter) is an SDL/OpenGL space shoot'em up game.

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1 -b .gcc43
%patch1 -p0 -b .png14
%patch2 -p0 -b .png15
%patch3 -p0 -b .curl

rm -rf curl/
touch NEWS README AUTHORS ChangeLog

%build
autoreconf -fi
%configure2_5x --prefix=%{_gamesbindir} --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir} --libdir=%_libdir --enable-dyngl
%make

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_gamesbindir}
install -m755 game/critter tools/Packer -D %{buildroot}%{_gamesbindir}
install -d %{buildroot}%{_gamesdatadir}/Critical_Mass
install -m644 data/music/lg-criti.xm %{buildroot}%{_gamesdatadir}/Critical_Mass
install -m644 game/resource.dat %{buildroot}%{_gamesdatadir}/Critical_Mass
install -d %{buildroot}%{_mandir}/man6
install -m644 critter.6 %{buildroot}%{_mandir}/man6


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Critical Mass
Comment=%{Summary}
Exec=%{_gamesbindir}/critter
Icon=%{oname}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

install -m644 %{SOURCE11} -D ${RPM_BUILD_ROOT}%{_miconsdir}/%{oname}.png
install -m644 %{SOURCE12} -D ${RPM_BUILD_ROOT}%{_iconsdir}/%{oname}.png
install -m644 %{SOURCE13} -D ${RPM_BUILD_ROOT}%{_liconsdir}/%{oname}.png

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Readme.html COPYING TODO
%{_gamesdatadir}/Critical_Mass
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{oname}.png
%{_liconsdir}/%{oname}*.png
%{_miconsdir}/%{oname}*.png
%{_mandir}/man6/critter.6*
%defattr(755,root,root,755)
%{_gamesbindir}/critter
%{_gamesbindir}/Packer


%changelog
* Thu Jan 07 2016 Agent Smith  <ruidobranco@yahoo.com.br> 1.0.2-1pclos2016
- Created the package Critical Mass

